%define shortname starterbar
%define name gdesklets-%{shortname}
%define version 0.11
%define release 1mdk
%define archivename %{shortname}-desklet-%{version}

Name:           %{name}
Summary:        StarterBar sensor and display for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://www.pycage.de/software_gdesklets.html
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets

%description
An icon bar for GNOME where you can put starters into.
Yes, you can do the same with the GNOME panel,
but this one is pure eye candy!
The package contains the StarterBar sensor and a display.

To add the display, use :
  gdesklets-add-%{shortname}-display

%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_datadir}/gdesklets/Displays
%{_datadir}/gdesklets/Sensors
%{_bindir}/gdesklets-add-%{shortname}-display

%changelog
* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.11-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
